GET /api/services/:service
curl --request GET \
--url https://app.aiaxoniq.com/api/services/{service} \
--cookie oiq_token=import requests
url = "https://app.aiaxoniq.com/api/services/{service}"
headers = {"cookie": "oiq_token="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'oiq_token='}};
fetch('https://app.aiaxoniq.com/api/services/{service}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"downstreams": [
{
"direction": "<string>",
"error_rate": 123,
"errors": "<string>",
"last_seen": "<string>",
"p95": 123,
"requests": "<string>",
"source": "<string>",
"target": "<string>"
}
],
"found": true,
"latencyBucketMs": 123,
"latencySeries": [
{
"avg_latency_ms": 123,
"name": "<string>",
"p50_latency_ms": 123,
"p95_latency_ms": 123,
"p99_latency_ms": 123,
"t": "<string>"
}
],
"recentDeployments": [
{
"createdAt": "2023-11-07T05:31:56Z",
"deployer": "<string>",
"environment": "<string>",
"finishedAt": "2023-11-07T05:31:56Z",
"gitRef": "<string>",
"gitSha": "<string>",
"id": "<string>",
"metadata": "<unknown>",
"notes": "<string>",
"service": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"tenantId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"version": "<string>"
}
],
"runtime": {
"detected": true,
"last_seen": "<string>",
"metric_count": "<string>",
"runtime": "<string>",
"sample_count": "<string>"
},
"service": {
"avg_latency_ms": 123,
"environment": "<string>",
"error_count": "<string>",
"error_log_count": "<string>",
"error_rate": 123,
"language": "<string>",
"last_seen": "<string>",
"log_count": "<string>",
"name": "<string>",
"p95_latency_ms": 123,
"p99_latency_ms": 123,
"request_count": "<string>",
"total_spans": "<string>",
"trace_count": "<string>"
},
"topEndpoints": [
{
"avg_latency_ms": 123,
"error_count": "<string>",
"error_rate": 123,
"last_seen": "<string>",
"method": "<string>",
"p95_latency_ms": 123,
"p99_latency_ms": 123,
"request_count": "<string>",
"route": "<string>",
"service_name": "<string>"
}
],
"upstreams": [
{
"direction": "<string>",
"error_rate": 123,
"errors": "<string>",
"last_seen": "<string>",
"p95": 123,
"requests": "<string>",
"source": "<string>",
"target": "<string>"
}
],
"versions": [
{
"environment": "<string>",
"error_count": "<string>",
"first_seen": "<string>",
"last_seen": "<string>",
"metric_count": "<string>",
"service_name": "<string>",
"service_version": "<string>",
"span_count": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}Services
GET /api/services/:service
Requires an authenticated session or API token.
GET
/
api
/
services
/
{service}
GET /api/services/:service
Authorizations
sessionCookiebearerAuth
Path Parameters
Query Parameters
Tenant identifier. Overwritten from the authenticated session; a value naming a different tenant is refused with 403.
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes